/**
 * @description JavaScript entry point - renders the React element App from App.js in the DOM supplied at the public/index.html container
 * @author José Maria Villac Pinheiro
 * @date 2018-07-19
 */
import 'typeface-roboto';
import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import { createStore, applyMiddleware } from 'redux';
import reduxThunk from "redux-thunk";

import './index.css';
import App from './components/App';
// import registerServiceWorker from "./registerServiceWorker";
import reducers from './reducers';

const store = createStore(reducers, {}, applyMiddleware(reduxThunk));

ReactDOM.render(
	<Provider store={store}>
		<App />
	</Provider>,
	document.getElementById('root')
);
// registerServiceWorker();
