// prod.js - production keys here!!
// dev.js - Development keys - don't commit this!!!
module.exports = {
    pg: {
      host: process.env.PG_HOST, // server name or IP address;
      hostaddr: process.env.PG_HOST_ADDRESS,
      port: process.env.PG_PORT,
      database: process.env.PG_DATABASE,
      user: process.env.PG_USER,
      password: process.env.PG_PWD,
      max: process.env.PG_MAX_NUMBER_OF_CLIENTS, // max number of clients in the pool
      idleTimeoutMillis: 30000 // how long a client is allowed to remain idle before being closed
    },
    msql: {
      user: process.env.MSQL_USER,
      password: process.env.MSQL_PWD,
      server: process.env.MSQL_SERVER,   // "JAVASERVER\\SQLEXPRESS",
      database: process.env.MSQL_DATABASE,
      port: process.env.MSQL_PORT,
      dialect: "mssql"
    },
    geoserverWMS: process.env.GEOSERVER_WMS,
    waterLayers: process.env.WATER_LAYERS,
    server: process.env.GEOSERVER_WMS,
    googleClientID: process.env.GOOGLE_CLIENT_ID,
    googleClientSecret: process.env.GOOGLE_CLIENT_SECRET,
    mongoURI: process.env.MONGO_URI,
    cookieKey: process.env.COOKIE_KEY
  };
  