// Autentication routes
//
const passport = require('passport') // from npm

module.exports = router => {
    // Enter to authenticate the user
  router.get(
        '/auth/google',
        passport.authenticate('google', {
          scope: ['profile', 'email']
        })
    )

    // Page after authenticate
  router.get(
        '/auth/google/callback',
        passport.authenticate('google'), // middleware to authenticate the user, after authenticate it passes to callbark
        (err, req, res, next) => {
            // custom error handler to catch any errors, such as TokenError
          if (err.name === 'TokenError') {
            res.redirect('http://nexusbr.com') // redirect them back to the login page
          } else {
            console.log('Falhou ao logar!')
                // Handle other errors here
          }
        },
        (req, res) => {
          console.log('Logou com sucesso!')
            // On success, redirect back to '/'
          res.redirect('/surveys')
        }
    )

  router.get('/api/logout', (req, res) => {
    req.logout()
    res.redirect('/')
  })

  router.get('/api/current_user', (req, res) => {
    res.send(req.user)
  })
}
